Skip to main content

Create Image

POST 

/projects/:projectId/providers/Aruba.Storage/images

Create Image

Request​

Path Parameters

    projectId stringrequired

Query Parameters

    skipEcommerce boolean
    Default value: false
    api-version string

    The requested API version

    Default value: 1

Body

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    nullable

    description stringnullable
    bootable boolean
    isDefault boolean
    icon stringnullable
    iconType stringnullable
    iconName stringnullable
    iconSize int64nullable

    os

    object

    nullable

    type stringnullable
    username stringnullable
    version stringnullable
    allowsCustomScript boolean
    sha stringnullable

    source

    object

    nullable

    type Aruba.CmpService.StorageProvider.Abstractions.Messages.Enums.ImageSourceType (string)nullable

    Possible values: [Volume, Import]

    value stringnullable

    cpu

    object

    nullable

    min int32
    max int32

    ram

    object

    nullable

    min int32
    max int32

    hd

    object

    nullable

    min int32
    max int32

    users

    object[]

    nullable

  • Array [

  • username stringnullable

    openstackProjects

    object[]

    nullable

  • Array [

  • id stringnullable
    state stringnullable
  • ]

  • ]

Responses​

Created

Schema

    metadata

    object

    nullable

    id stringnullable
    uri stringnullable
    name stringnullable

    location

    object

    nullable

    code stringnullable
    country stringnullable
    city stringnullable
    name stringnullable
    value stringnullable

    project

    object

    nullable

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    nullable

    name stringnullable
    provider stringnullable

    typology

    object

    nullable

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable

    linkedResources

    object[]

    nullable

  • Array [

  • uri stringnullable
    strictCorrelation boolean
  • ]

  • managedBy stringnullable
    annotations objectnullable

    status

    object

    nullable

    state stringnullable
    creationDate date-timenullable

    disableStatusInfo

    object

    nullable

    isDisabled boolean
    reasons string[]

    previousStatus

    object

    nullable

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    nullable

    reason stringnullable
    message stringnullable
    reservedTo stringnullable

    properties

    object

    nullable

    description stringnullable
    bootable boolean
    isDefault boolean
    icon stringnullable
    iconType stringnullable
    iconName stringnullable
    iconSize int64nullable

    os

    object

    nullable

    type stringnullable
    username stringnullable
    version stringnullable
    allowsCustomScript boolean

    requirement

    object

    nullable

    minRequirement int32nullable
    maxRequirement int32nullable
    defaultRequirement int32nullable
    sha stringnullable

    source

    object

    nullable

    type stringnullable
    value stringnullable

    cpu

    object

    nullable

    min int32
    max int32

    ram

    object

    nullable

    min int32
    max int32

    hd

    object

    nullable

    min int32
    max int32

    export

    object

    nullable

    state stringnullable
    link stringnullable
    ttl stringnullable
    createdAt date-timenullable
    updatedAt date-timenullable

    users

    object[]

    nullable

  • Array [

  • username stringnullable
  • ]

  • data

    object

    nullable

    infrastructure

    object

    nullable

    type stringnullable

    value

    object

    nullable

    uid stringnullable
    resourceId stringnullable
    name stringnullable
    nameSpace stringnullable
    projectId stringnullable

    export

    object

    nullable

    jobId stringnullable

    info

    object

    nullable

    size int32nullable
    publicDownloadUrl stringnullable
    publicDownloadUrlTtl stringnullable
Loading...